Bug 212886 - security/gpgme update to 1.7
Summary: security/gpgme update to 1.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason E. Hale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-21 18:08 UTC by groot
Modified: 2016-11-26 00:38 UTC (History)
2 users (show)

See Also:
jhale: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description groot 2016-09-21 18:08:39 UTC
This is partly an update-PR, partly a request-for-consultation with kde@ . Today's release announcement of GPGMe++ reads (in part):


  I'm pleased to announce that the C++ bindings for GnuPG's GPGME library and 
  the Qt Job API for GpgME++ (QGpgME) that was previously in Libkleo are now 
  part of the upstream GPGME repository and have been released today with 
  GPGME-1.7:


kde@ has a gpgmepp port prepared for use, but that's based on the "old" gpemepp released by the KDE Community, as opposed to the new upstream. I was just about to PR the kde@ port for it, but we should sit down perhaps for a minute to figure out who puts what where -- since released KDE code wants the "old" gpgme and apparently there's file install and source-compatibility conflicts between old and new.
Comment 1 Tobias C. Berner freebsd_committer 2016-09-22 04:56:12 UTC
As far as I can tell from the announcement [1], the install conflict is between the headers of kdepimlibs4 gpgme++ headers and the ones in security/gpgme once updated to 1.7.0. 

As we install kde4-headers prefixed into ${LOCALBASE}/include/kde4, we should not have any issues with that [tm].


mfg Tobias


[1] https://mail.kde.org/pipermail/release-team/2016-September/009732.html
Comment 2 Jason E. Hale freebsd_committer 2016-09-22 06:02:44 UTC
I think the best course of action would be to package the cpp bindings and the Qt bindings as separate slave ports that the KDE apps can depend on when they are ready to do so. I just started working on this and have already been able to split out the cpp bindings.
Comment 3 Tobias C. Berner freebsd_committer 2016-09-22 07:25:16 UTC
Sounds good.

Thanks :)
Comment 4 commit-hook freebsd_committer 2016-10-18 19:45:41 UTC
A commit references this bug:

Author: jhale
Date: Tue Oct 18 19:45:24 UTC 2016
New revision: 424209
URL: https://svnweb.freebsd.org/changeset/ports/424209

Log:
  - Update security/gpgme to 1.7.0
  - Convert to master port and add several slave ports for the newly added
    c++, Qt5, and python bindings (security/gpgme-cpp, security/gpgme-qt5,
    and security/py-gpgme, respectively)
  - The Qt bindings currently provided by deskutils/kdepimlibs4
    cannot currently coexist with these new bindings, but will be phased out
    in the future
  - The python bindings are an updated version of the ones provided by
    security/py-pyme and are now being maintained as part of the gpgme project.
    They work with both python 2.x and 3.x.

  PR:		212886

Changes:
  head/security/Makefile
  head/security/gpgme/Makefile
  head/security/gpgme/distinfo
  head/security/gpgme/files/
  head/security/gpgme/files/patch-lang_python_Makefile.in
  head/security/gpgme/pkg-plist
  head/security/gpgme-cpp/
  head/security/gpgme-cpp/Makefile
  head/security/gpgme-cpp/distinfo
  head/security/gpgme-cpp/pkg-descr
  head/security/gpgme-cpp/pkg-plist
  head/security/gpgme-qt5/
  head/security/gpgme-qt5/Makefile
  head/security/gpgme-qt5/distinfo
  head/security/gpgme-qt5/pkg-descr
  head/security/gpgme-qt5/pkg-plist
  head/security/py-gpgme/
  head/security/py-gpgme/Makefile
  head/security/py-gpgme/distinfo
  head/security/py-gpgme/pkg-descr
  head/security/py-gpgme/pkg-plist
Comment 5 Jason E. Hale freebsd_committer 2016-10-18 19:51:04 UTC
I've committed gpgme 1.7.0 and added the c++ bindings as security/gpgme-cpp and the Qt5 interface as security/gpgme-qt5.  There is still an installation conflict with lib/libqgpgme.so. I'll leave this PR open for now until we can resolve this or if there is further work that needs done.
Comment 6 Tobias C. Berner freebsd_committer 2016-10-20 06:06:49 UTC
Awesome. Thanks.
Comment 7 commit-hook freebsd_committer 2016-11-23 12:16:22 UTC
A commit references this bug:

Author: tcberner
Date: Wed Nov 23 12:15:40 UTC 2016
New revision: 426897
URL: https://svnweb.freebsd.org/changeset/ports/426897

Log:
  Fix conflict between libqgpgme from deskutils/kdepimlibs4 and security/qgpgme-qt5

  Install the kde4 version of libqgpgme as libqgpgme4.
  * Bump revision in affected dependencies -- not all ports using USE_KDE=pimlibs
    actually link against libqgpgme.
  * Remove conflict from security/gpgme-qt5
  * Drop KDE3 hunks from patch-cmake__modules__FindQGpgme.cmake

  PR:		212886
  Reviewed by:	rakuco
  Approved by:	rakuco (mentor)

Changes:
  head/deskutils/kdepim4/Makefile
  head/deskutils/kdepimlibs4/Makefile
  head/deskutils/kdepimlibs4/files/patch-cmake__modules__FindQGpgme.cmake
  head/deskutils/kdepimlibs4/files/patch-qgpgme_CMakeLists.txt
  head/deskutils/kdepimlibs4/pkg-plist
  head/finance/kmymoney-kde4/Makefile
  head/net-im/kopete-kde4/Makefile
  head/security/gpgme/Makefile
  head/security/gpgme-qt5/Makefile
  head/x11/kde4-runtime/Makefile
Comment 8 Jason E. Hale freebsd_committer 2016-11-26 00:38:00 UTC
Looks like all the issues of this PR have been settled. Closing.